package com.dhcc.finance.main.domain;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;


@ApiModel(value = "CwBdAccperiodquart",description = "会计季度表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwBdAccperiodquart {
	/**
     * 会计季度主键
     */
    @ApiModelProperty(value = "会计季度主键", required = true, example = "")
    private String pkAccperiodquart;

    /**
     * 会计年度主键
     */
    @ApiModelProperty(value = "会计年度主键", required = false, example = "")
    private String pkAccperiod;

    /**
     * 会计季度
     */
    @ApiModelProperty(value = "会计季度", required = false, example = "")
    private String accperiodquarter;

    /**
     * 开始月份
     */
    @ApiModelProperty(value = "开始月份", required = false, example = "")
    private String beginmonth;

    /**
     * 结束月份
     */
    @ApiModelProperty(value = "结束月份", required = false, example = "")
    private String endmonth;

    /**
     * 年季度
     */
    @ApiModelProperty(value = "年季度", required = false, example = "")
    private String yearquarter;

    /**
     * 使用状态
     */
    @ApiModelProperty(value = "使用状态", required = false, example = "")
    private String useState;

    /**
     * 录入人员
     */
    @ApiModelProperty(value = "录入人员", required = false, example = "")
    private String createUser;

    /**
     * 录入时间
     */
    @ApiModelProperty(value = "录入时间", required = false, example = "")
    private Date createTime;

    /**
     * 最后修改人员
     */
    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
    private String updateUser;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    private Date updateTime;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注", required = false, example = "")
    private String remark;
}