package com.dhcc.finance.main.domain;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@ApiModel(value = "CwReverseOperation",description = "反向操作登记表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwReverseOperation {
	/**
     * 主键
     */
    @ApiModelProperty(value = "主键", required = true, example = "")
    private String pkReverse;

    /**
     * 账套主键
     */
    @ApiModelProperty(value = "账套主键", required = false, example = "")
    private String pkGlorgbook;

    /**
     * 会计期间
     */
    @ApiModelProperty(value = "会计期间", required = false, example = "")
    private String period;

    /**
     * 凭证主键
     */
    @ApiModelProperty(value = "凭证主键", required = false, example = "")
    private String pkVoucher;

    /**
     * 反向操作类型
     */
    @ApiModelProperty(value = "反向操作类型", required = false, example = "")
    private String reverseType;

    /**
     * 操作人
     */
    @ApiModelProperty(value = "操作人", required = false, example = "")
    private String operator;

    /**
     * 操作时间
     */
    @ApiModelProperty(value = "操作时间", required = false, example = "")
    private Date operationtime;
}