package com.dhcc.finance.main.domain;

import java.math.BigDecimal;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
@ApiModel(value = "CwReverseOperation",description = "信托项目信息表（子项目）")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class PmProjectChild {
	
	@ApiModelProperty(value = "子项目ID", required = true, example = "")
    private String id;
	
	@ApiModelProperty(value = "子项目编号", required = true, example = "")
	private String xtzxmbh;

	
	@ApiModelProperty(value = "中信登产品编号", required = true, example = "")
    private String zxdcpbh;

	@ApiModelProperty(value = "项目编号", required = true, example = "")
    private String xtxmbh;

	@ApiModelProperty(value = "子项目名称", required = true, example = "")
    private String xtzxmqc;

	@ApiModelProperty(value = "信托财产类型", required = true, example = "")
    private String xtcclx;

	@ApiModelProperty(value = "单一集合标志", required = true, example = "")
    private String dyjhbz;

	@ApiModelProperty(value = "信托功能", required = true, example = "")
    private String xtgn;

	@ApiModelProperty(value = "管理方式", required = true, example = "")
    private String glfs;

	@ApiModelProperty(value = "信托业务分类", required = true, example = "")
    private String xtywfl;

	@ApiModelProperty(value = "受益方式", required = true, example = "")
    private String syfs;

	@ApiModelProperty(value = "是否集团推荐", required = true, example = "")
    private String sfjttj;

	@ApiModelProperty(value = "集团内部机构名称", required = true, example = "")
    private String jtnbjgmc;

	@ApiModelProperty(value = "是否分期发行", required = true, example = "")
    private String sffqfx;

	@ApiModelProperty(value = "三单标识", required = true, example = "")
    private String sdbs;

	@ApiModelProperty(value = "募集开始日期", required = true, example = "")
    private Date mjksrq;

	@ApiModelProperty(value = "募集结束日期", required = true, example = "")
    private Date mjjsrq;

	@ApiModelProperty(value = "拟发行或成立规模类型", required = true, example = "")
    private String zgmlx;

	@ApiModelProperty(value = "固定规模范围最小值", required = true, example = "")
    private BigDecimal zgmfwzxz;

	@ApiModelProperty(value = "固定规模范围最大值", required = true, example = "")
    private BigDecimal zgmfwzdz;

	@ApiModelProperty(value = "期限类型", required = true, example = "")
    private String zqxlx;

	@ApiModelProperty(value = "期限范围最小值", required = true, example = "")
    private Integer zqxfwzxz;

	@ApiModelProperty(value = "期限范围最大值", required = true, example = "")
    private Integer zqxfwzdz;

	@ApiModelProperty(value = "期限说明", required = true, example = "")
    private String qxsm;

	@ApiModelProperty(value = "拟发行或成立时间", required = true, example = "")
    private Date nfxhclsj;
	
	@ApiModelProperty(value = "财产主要运用方式（资金信托）", required = true, example = "")
    private String cczyyyfs;

	@ApiModelProperty(value = "管理运用或处分方式（财产权信托）", required = true, example = "")
    private String glyyhcffs;

	@ApiModelProperty(value = "报酬计提方式", required = true, example = "")
    private String bcjtfs;

	@ApiModelProperty(value = "信托报酬率", required = true, example = "")
    private BigDecimal xtbcl;

	@ApiModelProperty(value = "信托报酬金额", required = true, example = "")
    private BigDecimal xtbcje;

	@ApiModelProperty(value = "信托合同收益率类型", required = true, example = "")
    private String xthtsyllx;

	@ApiModelProperty(value = "首次信息披露日", required = true, example = "")
    private Date xxplr;

	@ApiModelProperty(value = "收益分配周期", required = true, example = "")
    private String syfpzq;

	@ApiModelProperty(value = "最高预期收益率", required = true, example = "")
    private BigDecimal zgyqsyl;
	
	@ApiModelProperty(value = "最低预期收益率", required = true, example = "")
    private BigDecimal zdyqsyl;
	
	@ApiModelProperty(value = "最高预计融资成本", required = true, example = "")
    private BigDecimal zgyjrzcb;

	@ApiModelProperty(value = "最低预计融资成本", required = true, example = "")
    private BigDecimal zdyjrzcb;

	@ApiModelProperty(value = "是否全国推介", required = true, example = "")
    private String sfqgtj;

	@ApiModelProperty(value = "币种", required = true, example = "")
    private String bz;

	@ApiModelProperty(value = "项目成立日", required = true, example = "")
    private Date xmclr;

	@ApiModelProperty(value = "项目终止日", required = true, example = "")
    private Date xmzzr;

	@ApiModelProperty(value = "受托人主要职责", required = true, example = "")
    private String strzz;

	@ApiModelProperty(value = "设立方式", required = true, example = "")
    private String slfs;

	@ApiModelProperty(value = "项目合作来源", required = true, example = "")
    private String xmhzly;

	@ApiModelProperty(value = "合作模式", required = true, example = "")
    private String hzms;

	@ApiModelProperty(value = "是否为服务贵州项目", required = true, example = "")
    private String sffwgzxm;

	@ApiModelProperty(value = "开放式信贷类信托业务和开放式混合型信托业务", required = true, example = "")
    private String kfsxdlhhx;

	@ApiModelProperty(value = "是否投资证券市场", required = true, example = "")
    private String sftzzqsc;
	
	@ApiModelProperty(value = "是否诉讼项目", required = true, example = "")
    private String sfssxm;

	@ApiModelProperty(value = "保障基金认购主体", required = true, example = "")
    private String bzjjrgzt;

	@ApiModelProperty(value = "保证基金赎回方式", required = true, example = "")
    private String bzjjshfs;

	@ApiModelProperty(value = "保障基金赎回频率", required = true, example = "")
    private String bzjjshpl;

	@ApiModelProperty(value = "保障基金逾期退回是否涉及我司违约金", required = true, example = "")
    private String bzjjyqthsfsjwswyj;

	@ApiModelProperty(value = "可提前终止", required = true, example = "")
    private String ktqzz;

	@ApiModelProperty(value = "业务特征", required = true, example = "")
    private String ywtz;

	@ApiModelProperty(value = "项目结构属性", required = true, example = "")
    private String jgsx;

	@ApiModelProperty(value = "投向性质", required = true, example = "")
    private String txxz;

	@ApiModelProperty(value = "优先劣后受益权比例", required = true, example = "")
    private BigDecimal yxlhsyqbl;

	@ApiModelProperty(value = "是否现金类", required = true, example = "")
    private String sfxjl;

	@ApiModelProperty(value = "是否伞形", required = true, example = "")
    private String sfsx;

	@ApiModelProperty(value = "是否阳光私募", required = true, example = "")
    private String sfygsm;

	@ApiModelProperty(value = "是否外部分仓", required = true, example = "")
    private String sfwbfc;

	@ApiModelProperty(value = "非标资金池标识", required = true, example = "")
    private String fbzjcbs;

	@ApiModelProperty(value = "项目TOT标识", required = true, example = "")
    private String totbs;

	@ApiModelProperty(value = "运行方式(资管)", required = true, example = "")
    private String yxfs;

	@ApiModelProperty(value = "运行方式(人行)", required = true, example = "")
    private String yxfsrh;

	@ApiModelProperty(value = "可赎回标识", required = true, example = "")
    private String kshbz;

	@ApiModelProperty(value = "份额结算方式", required = true, example = "")
    private String fejsfs;

	@ApiModelProperty(value = "募集方式", required = true, example = "")
    private String mjfs;

	@ApiModelProperty(value = "是否净值型", required = true, example = "")
    private String sfjzx;

	@ApiModelProperty(value = "净值评估频度", required = true, example = "")
    private String jzpgpd;

	@ApiModelProperty(value = "净值披露频度", required = true, example = "")
    private String jzplpd;

	@ApiModelProperty(value = "资产管理报告频度", required = true, example = "")
    private String zcglbgpd;

	@ApiModelProperty(value = "投资范围", required = true, example = "")
    private String tzfw;

	@ApiModelProperty(value = "产品增信标识", required = true, example = "")
    private String cpzxbs;

	@ApiModelProperty(value = "增信机构类型", required = true, example = "")
    private String zxjglx;

	@ApiModelProperty(value = "增信形式", required = true, example = "")
    private String zxxs;

	@ApiModelProperty(value = "产品类型", required = true, example = "")
    private String cplx;

	@ApiModelProperty(value = "项目预计终止日", required = true, example = "")
    private Date xmyjzzr;

	@ApiModelProperty(value = "业务结束日期", required = true, example = "")
    private Date ywjsrq;

	@ApiModelProperty(value = "清算报告披露标识", required = true, example = "")
    private String qsbgplbs;

	@ApiModelProperty(value = "是否估值", required = true, example = "")
    private String sfgz;

	@ApiModelProperty(value = "估值模式", required = true, example = "")
    private String gzms;

	@ApiModelProperty(value = "估值层级", required = true, example = "")
    private String gzcj;

	@ApiModelProperty(value = "估值机构", required = true, example = "")
    private String gzjg;

	@ApiModelProperty(value = "信托初始募集金额", required = true, example = "")
    private BigDecimal xtcsmjje;

	@ApiModelProperty(value = "信托续存规模", required = true, example = "")
    private BigDecimal xtxcgm;

	@ApiModelProperty(value = "财产权拆分转让标识", required = true, example = "")
    private String ccqcfzrbs;

	@ApiModelProperty(value = "银登中心登记的信贷资产及其收益权转让标识", required = true, example = "")
    private String ydsyqzrbs;

	@ApiModelProperty(value = "是否由社保基金委托成立", required = true, example = "")
    private String sfysbjjwtcl;

	@ApiModelProperty(value = "关联交易标识", required = true, example = "")
    private String gljybs;

	@ApiModelProperty(value = "关联交易类型", required = true, example = "")
    private String gljylx;

	@ApiModelProperty(value = "项目阶段", required = true, example = "")
    private String xmjd;
    
	@ApiModelProperty(value = "项目状态", required = true, example = "")
    private String xmzt;

	@ApiModelProperty(value = "归属机构", required = true, example = "")
    private String gsjg;

	@ApiModelProperty(value = "归属部门", required = true, example = "")
    private String gsbm;

	@ApiModelProperty(value = "使用状态", required = true, example = "")
    private String syzt;

	@ApiModelProperty(value = "数据来源", required = true, example = "")
    private String sjly;

	@ApiModelProperty(value = "录入人员", required = true, example = "")
    private String lrry;

	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	@ApiModelProperty(value = "录入时间", required = true, example = "")
    private Date lrsj;

	@ApiModelProperty(value = "最后修改人员", required = true, example = "")
    private String zhxgry;
	
	@ApiModelProperty(value = "是否建帐", required = true, example = "")
	private String isAccount;

	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	@ApiModelProperty(value = "最后修改时间", required = true, example = "")
    private Date zhxgsj;
}
