/**
 * 
 */
package com.dhcc.finance.main.model;

import java.util.Date;

import com.dhcc.finance.main.domain.CwGlSettle;
import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * @author hp
 *
 */
@ApiModel(value = "CwGlSettleAndName",description = "结账信息表加账簿名称字段")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwGlSettleAndName {
	 /**
     * 主键
     */
    @ApiModelProperty(value = "主键", required = true, example = "")
    private String pkSettle;

    /**
     * 账套主键
     */
    @ApiModelProperty(value = "账套主键", required = false, example = "")
    private String pkGlorgbook;
    /**
     * 账簿名称
     */
    @ApiModelProperty(value = "账套名称", required = false, example = "")
    private String name;

    /**
     * 会计期间
     */
    @ApiModelProperty(value = "会计期间", required = false, example = "")
    private String period;

    /**
	 * 是否结账
	 */
	@ApiModelProperty(value = "是否结账", required = false, example = "")
	private String issettle;

	/**
	 * 结账人
	 */
	@ApiModelProperty(value = "结账人", required = false, example = "")
	private String settleUser;
	/**
	 * 结账时间
	 */
	@ApiModelProperty(value = "结账时间", required = false, example = "")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	private Date settleTime;

	@ApiModelProperty(value = "使用状态", required = false, example = "")
	private String useState;

	@ApiModelProperty(value = "录入人员", required = false, example = "")
	private String createUser;

	@ApiModelProperty(value = "录入时间", required = false, example = "")
	private Date createTime;

	@ApiModelProperty(value = "最后修改人员", required = false, example = "")
	private String updateUser;

	@ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
	private Date updateTime;

	@ApiModelProperty(value = "备注", required = false, example = "")
	private String remark;
}
