package com.dhcc.finance.main.model;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 功能描述：固有代垫流水信息
 * @author likai
 * @date 2020年4月14日 下午2:20:29
 * @修改日志：
 */
@ApiModel(value = "FundsFlowInfoGydd",description = "固有代垫流水信息")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class FundsFlowInfoGydd {
	/**
     * 信托项目编号
     */
    @ApiModelProperty(value = "信托项目编号", required = false, example = "")
    private String xtxmbh;
    
    /**
     * 信托项目名称
     */
    @ApiModelProperty(value = "信托项目名称", required = false, example = "")
    private String xtxmqc;
    
    /**
     * 项目专户编号
     */
    @ApiModelProperty(value = "项目专户编号", required = false, example = "")
    private String xmzhbh;
    
    /**
     * 归还代垫款金额
     */
    @ApiModelProperty(value = "归还代垫款金额", required = false, example = "")
    private BigDecimal ghddkje;

    /**
     * 信托子项目编号
     */
    @ApiModelProperty(value = "信托子项目编号", required = false, example = "")
    private String xtzxmbh;
    

}
