package com.dhcc.finance.main.service;

import java.util.List;

import com.dhcc.common.model.CurrencyMeta;
import com.dhcc.common.model.response.RestfulResponse;
import com.dhcc.finance.main.domain.CwBdProductcell;
import com.github.pagehelper.PageInfo;

/**
 * 功能描述：项目单元
 * @author dml
 * @date 2019年10月2日 上午10:03:34
 * @修改日志：
 */
public interface CwBdProductcellService {
	/**
	 * 功能描述：查询全部项目单元
	 * @return RestfulResponse<List<CwBdProductcell>,CurrencyMeta>
	 * @author dml
	 * @date 2019年10月2日 上午10:05:07
	 * @修改日志：
	 */
	RestfulResponse<List<CwBdProductcell>, CurrencyMeta> searchCwBdProductcellAllData();
	/**
	 * 功能描述 获取项目单元表数据列表
	 *@param code
	 *@param pageNum
	 *@param pageSize
	 *@param navigatePages
	 *@return RestfulResponse<PageInfo<CwBdProductcell>,CurrencyMeta>
	 *@author huangpeng
	 * @param name 
	 *@date 2019年10月5日 下午1:38:17
	 *修改日志:
	 */
	RestfulResponse<PageInfo<CwBdProductcell>, CurrencyMeta> searchCwBdProductcellOfList(String code, String name, int pageNum,
			int pageSize, int navigatePages);
	/**
	 * 功能描述  删除单元数据
	 *@param idList
	 *@return RestfulResponse<Object,CurrencyMeta>
	 *@author huangpeng
	 *@date 2019年10月5日 下午2:37:02
	 *修改日志:
	 */
	RestfulResponse<Object, CurrencyMeta> deleteCwBdProductcellById(List<String> idList);
}
